CMSIS-Driver: SAI Events

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SAI Events
SAI Interface

The SAI driver generates call back events that are notified via the function ARM_SAI_SignalEvent. More...

## Macros

#define | ARM_SAI_EVENT_SEND_COMPLETE (1UL << 0)
| Send completed. More...
#define | ARM_SAI_EVENT_RECEIVE_COMPLETE (1UL << 1)
| Receive completed. More...
#define | ARM_SAI_EVENT_TX_UNDERFLOW (1UL << 2)
| Transmit data not available. More...
#define | ARM_SAI_EVENT_RX_OVERFLOW (1UL << 3)
| Receive data overflow. More...
#define | ARM_SAI_EVENT_FRAME_ERROR (1UL << 4)
| Sync Frame error in Slave mode (optional) More...

## Description

The SAI driver generates call back events that are notified via the function ARM_SAI_SignalEvent.

This section provides the event values for the ARM_SAI_SignalEvent callback function.

The following call back notification events are generated:

## Macro Definition Documentation

#define ARM_SAI_EVENT_SEND_COMPLETE (1UL << 0)

Send completed.

#define ARM_SAI_EVENT_RECEIVE_COMPLETE (1UL << 1)

Receive completed.

#define ARM_SAI_EVENT_TX_UNDERFLOW (1UL << 2)

Transmit data not available.

#define ARM_SAI_EVENT_RX_OVERFLOW (1UL << 3)

Receive data overflow.

#define ARM_SAI_EVENT_FRAME_ERROR (1UL << 4)

Sync Frame error in Slave mode (optional)